CatalogSize Guides
Get size guide
Returns one size guide with its measurement table.
Path Parameters
sizeGuideId*string
Identifier of the size guide.
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/catalog/size-guides/7204558912004323019" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004326347", "storeId": "7204558912004327977", "sellerId": "7204558912004323447", "name": "Polos", "slug": "polo-de-algodon", "description": "Polo de algodón pima para uso diario.", "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp", "gender": "unisex", "measurementType": "body", "unit": "cm", "status": "draft", "priority": 1, "notes": "Entregar después de las 18:00.", "rows": [ { "label": "Polos", "sizeKey": "Polos", "order": 1, "measurements": [ { "key": "color", "name": "Polos", "min": 1, "max": 1, "value": 1, "description": "Polo de algodón pima para uso diario." } ] } ], "assignments": [ { "id": "7204558912004326347", "sizeGuideId": "7204558912004323019", "targetType": "product", "targetId": "7204558912004322457", "targetName": "Polos", "includeChildrenCategories": false, "priority": 1, "createdOn": "2026-09-28T15:30:00Z" } ], "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z"}